function D=buildD(C)
% Побудова матриці та вектора відстаней і сортування вектора по зростанню відстані
% (Mantegna R. Hierarchical structure of correlations in a set of stock prices)
% Вхід:
%    C - матриця крос-кореляцій
% Вихід:
%    D - матриця відстаней

% побудова матриці відстаней
D=sqrt(2.*(1.-C));